diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/alter_fts_parser_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/alter_fts_parser_msql.sql
new file mode 100644
index 000000000..28dc5a225
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/alter_fts_parser_msql.sql
@@ -0,0 +1,5 @@
+ALTER TEXT SEARCH PARSER public."test_fts_parser_$%{}[]()&*^!@""'`\/#"
+    RENAME TO "test_fts_parser_updated_$%{}[]()&*^!@""'`\/#";
+
+COMMENT ON TEXT SEARCH PARSER public."test_fts_parser_updated_$%{}[]()&*^!@""'`\/#"
+    IS 'Updating test fts parser';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/create_fts_parser_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/create_fts_parser_msql.sql
new file mode 100644
index 000000000..292d71d76
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/create_fts_parser_msql.sql
@@ -0,0 +1,9 @@
+CREATE TEXT SEARCH PARSER public."test_fts_parser_$%{}[]()&*^!@""'`\/#" (
+    START = prsd_start,
+    GETTOKEN = prsd_nexttoken,
+    END = void_recv,
+    LEXTYPES = dispell_init,
+    HEADLINE = prsd_headline);
+
+COMMENT ON TEXT SEARCH PARSER public."test_fts_parser_$%{}[]()&*^!@""'`\/#"
+      IS 'Creating test fts parser';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/test.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/test.json
index d4de910de..fd8be86c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/test.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/default/test.json
@@ -5,6 +5,7 @@
       "name": "Create FTS parser",
       "endpoint": "NODE-fts_parser.obj",
       "sql_endpoint": "NODE-fts_parser.sql_id",
+      "msql_endpoint": "NODE-fts_parser.msql",
       "data": {
         "name": "test_fts_parser_$%{}[]()&*^!@\"'`\\/#",
         "description": "Creating test fts parser",
@@ -16,17 +17,20 @@
         "prslextype": "dispell_init",
         "prsheadline": "prsd_headline"
       },
-      "expected_sql_file": "create_fts_parser.sql"
+      "expected_sql_file": "create_fts_parser.sql",
+      "expected_msql_file": "create_fts_parser_msql.sql"
     },
     {
       "type": "alter",
       "name": "Alter FTS parser",
       "endpoint": "NODE-fts_parser.obj_id",
       "sql_endpoint": "NODE-fts_parser.sql_id",
+      "msql_endpoint": "NODE-fts_parser.msql_id",
       "data":{
         "name": "test_fts_parser_updated_$%{}[]()&*^!@\"'`\\/#",
         "description":"Updating test fts parser"},
-      "expected_sql_file": "alter_fts_parser.sql"
+      "expected_sql_file": "alter_fts_parser.sql",
+      "expected_msql_file": "alter_fts_parser_msql.sql"
     },
     {
       "type": "delete",
